Change log for zope.interface package in Ubuntu

143 of 43 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-07
Deleted in disco-proposed (Reason: moved to release)
zope.interface (4.3.2-1build4) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 11:52:49 +0000

Available diffs

Superseded in disco-release on 2018-11-07
Published in cosmic-release on 2018-06-29
Deleted in cosmic-proposed (Reason: moved to release)
zope.interface (4.3.2-1build3) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <email address hidden>  Thu, 28 Jun 2018 06:55:57 +0000

Available diffs

Superseded in cosmic-release on 2018-06-29
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-08-07
Deleted in artful-proposed (Reason: moved to release)
zope.interface (4.3.2-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <email address hidden>  Sat, 05 Aug 2017 21:25:43 +1200

Available diffs

Superseded in artful-release on 2017-08-07
Deleted in artful-proposed on 2017-08-08 (Reason: moved to release)
zope.interface (4.3.2-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 12 May 2017 14:56:50 +1200
Superseded in artful-release on 2017-05-13
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
zope.interface (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <email address hidden>  Tue, 25 Oct 2016 15:58:38 -0400

Available diffs

Superseded in zesty-release on 2016-11-04
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
zope.interface (4.2.0-2) unstable; urgency=medium

  * No change rebuild for new dh-python.

 -- Barry Warsaw <email address hidden>  Wed, 03 Aug 2016 11:35:56 -0400
Superseded in yakkety-proposed on 2016-08-03
zope.interface (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Remove version for python-all-dev:any build dependency.
    - Bump Standards-Version to 3.9.8 with no other changes necessary.
    - XS-Testsuite -> Testsuite.

 -- Barry Warsaw <email address hidden>  Wed, 13 Jul 2016 17:10:37 -0400
Superseded in yakkety-release on 2016-08-04
Published in xenial-release on 2016-01-20
Deleted in xenial-proposed (Reason: moved to release)
zope.interface (4.1.3-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <email address hidden>  Tue, 19 Jan 2016 00:10:06 +0000
Superseded in xenial-release on 2016-01-20
Deleted in xenial-proposed on 2016-01-21 (Reason: moved to release)
zope.interface (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Fix python-zope.interface long description. (Closes: #795245)

 -- Barry Warsaw <email address hidden>  Tue, 27 Oct 2015 11:31:12 -0400
Superseded in xenial-release on 2015-10-28
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
zope.interface (4.1.2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <email address hidden>  Thu, 23 Jul 2015 07:24:54 +0000
Superseded in wily-release on 2015-07-23
Deleted in wily-proposed on 2015-07-24 (Reason: moved to release)
zope.interface (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - wrap-and-sort
  * d/rules: Restore cross building rules.
  * d/tests:
    - Add DEP-8 tests for python{,3}-dbg interpreter.
    - Ensure that the C extension module can be imported in all interpreters.
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <email address hidden>  Wed, 08 Jul 2015 19:42:22 -0400

Available diffs

Superseded in wily-release on 2015-07-10
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
zope.interface (4.1.1-3.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Use absolute path in call to symlink_to_dir to fix upgrades from squeeze
    to wheezy to jessie. (Closes: #768286)

 -- Ivo De Decker <email address hidden>  Sun, 28 Dec 2014 13:25:21 +0100

Available diffs

Superseded in vivid-release on 2015-02-02
Deleted in vivid-proposed on 2015-02-03 (Reason: moved to release)
zope.interface (4.1.1-3) unstable; urgency=medium


  * Added d/python{,3}-zope.interface-dbg.maintscript so that the switch
    from symlinks to directories in /usr/share/doc is done correctly.
    Removed d/python-zope.interface-dbg.postinst which was an incomplete
    way of doing this. (Closes: #768286)
  * d/control: Added Pre-Depends to -dbg packages for .maintscript to
    work properly.

 -- Barry Warsaw <email address hidden>  Mon, 17 Nov 2014 13:48:08 -0500

Available diffs

Superseded in vivid-release on 2014-11-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
zope.interface (4.1.1-2) unstable; urgency=medium


  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.

 -- Barry Warsaw <email address hidden>  Mon, 30 Jun 2014 14:34:48 -0400
Superseded in utopic-proposed on 2014-06-30
zope.interface (4.1.1-1) unstable; urgency=medium


  * Team upload.
  * New upstream release.  Closes: #740555
  * d/control:
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Updated Build-Depends.
    - Added myself to Uploaders.
    - Tweaked long descriptions.
    - wrap-and-sort
  * d/rules:
    - Switch to --buildsystem=pybuild and simplify.
  * d/compat: Bump to version 9.
  * d/copyright: Added Files-Excluded header to prune pre-built Sphinx
    artifacts in docs/_build from the original tarball.

 -- Barry Warsaw <email address hidden>  Tue, 24 Jun 2014 17:47:24 -0400
Superseded in utopic-release on 2014-07-12
Published in trusty-release on 2014-03-24
Deleted in trusty-proposed (Reason: moved to release)
zope.interface (4.0.5-1ubuntu4) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.
 -- Matthias Klose <email address hidden>   Sun, 23 Mar 2014 15:28:44 +0000

Available diffs

Superseded in trusty-release on 2014-03-24
Deleted in trusty-proposed on 2014-03-25 (Reason: moved to release)
zope.interface (4.0.5-1ubuntu3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.
 -- Matthias Klose <email address hidden>   Sat, 04 Jan 2014 18:33:09 +0000

Available diffs

Superseded in trusty-release on 2014-01-06
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
zope.interface (4.0.5-1ubuntu2) saucy; urgency=low

  * Merge from Debian. Remaining changes:
    - debian/control: update Build-Depends to allow cross-building the package
      (waiting for Debian to drop python 3.2 support).
 -- Gediminas Paulauskas <email address hidden>   Thu, 27 Jun 2013 12:08:55 +0300

Available diffs

Superseded in saucy-release on 2013-06-27
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
zope.interface (4.0.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Add Build-Depends on dpkg-dev (>= 1.16.1~) for multiarch support
    - Bump Standards-Version to 3.9.4
    - Update supported Python versions
  * debian/rules:
    - README.rst was renamed
 -- Gediminas Paulauskas <email address hidden>   Thu, 07 Mar 2013 20:02:40 +0200

Available diffs

Superseded in raring-release on 2013-03-07
Deleted in raring-proposed on 2013-03-09 (Reason: moved to release)
zope.interface (4.0.3-0ubuntu2) raring; urgency=low

  * Allow cross-building the package (however dh_python[23] needs to
    get aware of cross builds).
 -- Matthias Klose <email address hidden>   Sun, 27 Jan 2013 18:21:11 +0100

Available diffs

Superseded in raring-release on 2013-01-27
Deleted in raring-proposed on 2013-01-29 (Reason: moved to release)
zope.interface (4.0.3-0ubuntu1) raring; urgency=low

  * New upstream release.
 -- Logan Rosen <email address hidden>   Thu, 17 Jan 2013 14:19:12 -0500

Available diffs

Superseded in raring-release on 2013-01-18
Deleted in raring-proposed on 2013-01-19 (Reason: moved to release)
zope.interface (4.0.2-0ubuntu2) raring; urgency=low

  * debian/tests/all: revert adding of python3, it is tested in all-3.
 -- Gediminas Paulauskas <email address hidden>   Tue, 11 Dec 2012 17:31:27 +0200

Available diffs

Superseded in raring-release on 2012-12-12
Deleted in raring-proposed on 2012-12-13 (Reason: moved to release)
zope.interface (4.0.2-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - remove python3-zope.fixers from Build-Depends
    - bump Standards-Version to 3.9.3
    - enable autopkgtest
  * debian/tests/control: add zope.event
  * debian/tests/all: test also under python3
  * debian/copyright: update to copyright-format 1.0
 -- Gediminas Paulauskas <email address hidden>   Tue, 11 Dec 2012 00:47:33 +0200

Available diffs

Superseded in raring-release on 2012-12-11
Deleted in raring-proposed on 2012-12-12 (Reason: moved to release)
zope.interface (4.0.1-0ubuntu2) raring; urgency=low

  * Rebuild to drop python3.2 provides.
 -- Matthias Klose <email address hidden>   Wed, 07 Nov 2012 23:00:31 +0000

Available diffs

Superseded in raring-release on 2012-11-08
Deleted in raring-proposed on 2012-11-09 (Reason: moved to release)
zope.interface (4.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.  Remaining Ubuntu changes:
    - fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.
    LP: #1071845
 -- Barry Warsaw <email address hidden>   Fri, 26 Oct 2012 14:51:58 -0400

Available diffs

Superseded in raring-release on 2012-10-27
zope.interface (3.6.1-3build1) raring; urgency=low

  * No change upload to build for python3.3.
 -- Matthias Klose <email address hidden>   Mon, 22 Oct 2012 17:00:55 +0200
Superseded in raring-release on 2012-10-23
Obsolete in quantal-release on 2015-04-24
zope.interface (3.6.1-3) unstable; urgency=low


  * Team upload.
  * Remove setuptools from requires.txt for Python3 (#688838) by overriding
    dh_gencontrol rather than dh_install, otherwise python3-pkg-resources is
    not added as Depends.

 -- Arnaud Fontaine <email address hidden>  Wed, 26 Sep 2012 16:16:22 +0900
Superseded in quantal-release on 2012-10-09
Published in precise-release on 2011-12-31
zope.interface (3.6.1-1ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.
 -- Matthias Klose <email address hidden>   Sat, 31 Dec 2011 08:20:10 +0000

Available diffs

Superseded in precise-release on 2011-12-31
Obsolete in oneiric-release on 2015-04-24
zope.interface (3.6.1-1ubuntu2) oneiric; urgency=low

  * Revert previous change on request from Matthias Klose.
 -- Gediminas Paulauskas <email address hidden>   Thu, 15 Sep 2011 19:34:16 +0300

Available diffs

Superseded in oneiric-release on 2011-09-15
zope.interface (3.6.1-1ubuntu1) oneiric; urgency=low

  * debian/rules: no longer install zope/__init__.py, dh_python2 will create
    it for us.
 -- Gediminas Paulauskas <email address hidden>   Thu, 15 Sep 2011 15:21:20 +0300

Available diffs

Superseded in oneiric-release on 2011-09-15
zope.interface (3.6.1-1build1) oneiric; urgency=low

  * No change rebuild to drop Python 3.1 support.
 -- Barry Warsaw <email address hidden>   Fri, 03 Jun 2011 15:29:55 -0400

Available diffs

Superseded in oneiric-release on 2011-06-03
zope.interface (3.6.1-1) unstable; urgency=low

  * Team upload.

  [ Brian Sutherland ]
  * New version and incorporate changes from Ubuntu.
  * Enable python3 packages
  * Use dh_python2 rather than dh_pycentral (Closes: #617171)
  * Stop using python-van.pydeb as well, packages has no dependencies or
    setuptools extras.
  * Add testing scripts for python3 version of this package.
  * Backport fixes to C optimizationd from upstream LP: #675064. Reportedly
    causes a segfault on python3 and 64-bit architectures.
  * Switch to dpkg-source 3.0 (quilt) format

  [ Arnaud Fontaine ]
  * debian/control:
    + Add Vcs-Browser and rename XS-Vcs-Svn to Vcs-Svn (now supported by dpkg).
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Remove deprecated XB-Python-Version.
    + Add Homepage field.
  * debian/copyright:
    + Update to last revision.

  [ Matthias Klose ]
  * The egg doesn't require setuptools. LP: #563060.
  * Call setup.py install with --install-layout=deb to install into
    the final location.
 -- Matthias Klose <email address hidden>   Fri,  20 May 2011 08:23:53 +0000

Available diffs

Superseded in oneiric-release on 2011-05-20
Obsolete in natty-release on 2013-06-04
zope.interface (3.6.1-0ubuntu4) natty; urgency=low

  * Don't build for python3, needs porting for 3.2.
 -- Matthias Klose <email address hidden>   Wed, 23 Mar 2011 18:07:06 +0100

Available diffs

Superseded in natty-release on 2011-03-23
zope.interface (3.6.1-0ubuntu3) natty; urgency=low

  * Build packages for python3.
 -- Matthias Klose <email address hidden>   Wed, 23 Feb 2011 18:31:44 +0100

Available diffs

Superseded in natty-release on 2011-02-24
zope.interface (3.6.1-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 00:18:11 +0000

Available diffs

Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
zope.interface (3.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Don't include C source in the package.
  * debian/copyright: update, convert to dep5 format
 -- Gediminas Paulauskas <email address hidden>   Thu, 26 Aug 2010 19:40:15 +0300

Available diffs

Superseded in maverick-release on 2010-08-26
Obsolete in lucid-release on 2016-10-26
zope.interface (3.5.3-1ubuntu2) lucid; urgency=low

  * The egg doesn't require setuptools. LP: #563060.
 -- Matthias Klose <email address hidden>   Wed, 14 Apr 2010 15:47:40 +0200

Available diffs

Superseded in lucid-release on 2010-04-15
zope.interface (3.5.3-1ubuntu1) lucid; urgency=low

  * The egg doesn't require setuptools. LP: #563060.
 -- Matthias Klose <email address hidden>   Wed, 14 Apr 2010 15:47:40 +0200

Available diffs

Superseded in lucid-release on 2010-04-14
zope.interface (3.5.3-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  22 Jan 2010 11:29:34 +0000

Available diffs

Superseded in lucid-release on 2010-01-22
zope.interface (3.5.2-2) unstable; urgency=low

  [ Matthias Klose ]
  * Set section to zope.

  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.

  [ Fabio Tranchitella ]
  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552973)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  23 Nov 2009 18:28:33 +0000

Available diffs

Superseded in lucid-release on 2009-11-23
Obsolete in karmic-release on 2013-03-04
zope.interface (3.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added conflict with zope3.

Available diffs

Superseded in karmic-release on 2009-09-14
Superseded in karmic-release on 2009-09-07
zope.interface (3.5.1-3ubuntu1) karmic; urgency=low

  * Don't include sources files in the binary package.
  * Depend on python-pkg-resources instead of python-setuptools.
  * Build a python-zope.interface.dbg package.

Available diffs

Superseded in karmic-release on 2009-08-26
zope.interface (3.5.1-2ubuntu1) karmic; urgency=low

  * debian/rules:
    Use the macros to determine the library path for python 2.5 and
    python 2.6.

 -- Michael Bienia <email address hidden>   Mon, 20 Jul 2009 15:54:50 +0200
143 of 43 results